Skip to content

OLT Pon Port ​

6 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getPonPortListGETGet pon port list
getPonPortPageGETGet pon port page
editPonPortPOSTBatch modify pon port
getPonPortInformationListGETGet pon port information list
getPonPortInformationPageGETGet pon port information page
getPonPortListMspGETGet pon port list(msp mode)

getPonPortList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/pon-port/configs/list

Get pon port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPonPortList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get pon port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getPonPortPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/pon-port/configs/page

Get pon port page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryBaseDevicePageQueryRequestnoObject: its fields (searchKey, sorts, size, number) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getPonPortPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get pon port page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editPonPort ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/pon-port/edit

Batch modify pon port

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema PonPortBatchModifyDTO

FieldTypeRequiredDescription
dtosarray<PonPortModifyDTO>yes
json
// omada_call_operation
{
  "operationId": "editPonPort",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify pon port
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45013 - Pon port does not exist.

getPonPortInformationList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/pon-port/informations/list

Get pon port information list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPonPortInformationList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get pon port information list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getPonPortInformationPage ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/pon-port/informations/page

Get pon port information page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
queryParamqueryBaseDevicePageQueryRequestnoObject: its fields (searchKey, sorts, size, number) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getPonPortInformationPage",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get pon port information page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getPonPortListMsp ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/pon/pon-port/configs/list

Get pon port list(msp mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPonPortListMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get pon port list(msp mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.